[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#354266: marked as done (libqt4-gui: Error loading MNG file(s))

Your message dated Mon, 06 Mar 2006 14:03:23 -0800
with message-id <E1FGNnX-0005Su-JR@spohr.debian.org>
and subject line Bug#354266: fixed in qt4-x11 4.1.1-1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: libqt4-gui
Version: 4.1.0-3
Severity: normal

I'm not sure if this is a bug in Qt or something else.  I'm trying to
load an MNG file with QMovie calls and it results in a segfault every
time, even when using the "movie" executable included in qt's examples/
directory.  Here's some stuff from gdb:

#0  0xb74fe09f in free () from /lib/tls/libc.so.6
#1  0xb74ffc4c in malloc () from /lib/tls/libc.so.6
#2  0xb76aef85 in operator new () from /usr/lib/libstdc++.so.6
#3  0xb7bfdafc in QPixmap::init () from /usr/lib/libQtGui.so.4
#4  0xb7bfa8a8 in QPixmap::QPixmap () from /usr/lib/libQtGui.so.4
#5  0xb7bf9a34 in QMovie::supportedFormats () from /usr/lib/libQtGui.so.4
#6  0xb7bf9c36 in QMovie::supportedFormats () from /usr/lib/libQtGui.so.4
#7  0xb7bf9c69 in QMovie::supportedFormats () from /usr/lib/libQtGui.so.4
#8  0xb7bf9c69 in QMovie::supportedFormats () from /usr/lib/libQtGui.so.4

I have tried a couple of different MNG files, and they do load OK in 
an external viewer (gmngview included with libmng source).



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-1-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages libqt4-gui depends on:
ii  fontconfig           2.3.2-1             generic font configuration library
ii  libaudio2            1.7-3               The Network Audio System (NAS). (s
ii  libc6                2.3.5-6             GNU C Library: Shared libraries an
ii  libfontconfig1       2.3.2-1             generic font configuration library
ii  libfreetype6         2.1.10-1            FreeType 2 font engine, shared lib
ii  libgcc1              1:4.0.2-5           GCC support library
ii  libglu1-xorg [libglu 6.9.0.dfsg.1-4      Mesa OpenGL utility library [X.Org
ii  libice6              6.8.2.dfsg.1-7      Inter-Client Exchange library
ii  libjpeg62            6b-10               The Independent JPEG Group's JPEG 
ii  libpng12-0           1.2.8rel-4          PNG library - runtime
ii  libqt4-core          4.1.0-3             Qt 4 core non-GUI functionality ru
ii  libsm6               6.8.2.dfsg.1-7      X Window System Session Management
ii  libstdc++6           4.0.2-5             The GNU Standard C++ Library v3
ii  libx11-6             4.3.0.dfsg.1-12.0.1 X Window System protocol client li
ii  libxcursor1          1.1.3-1             X cursor management library
ii  libxext6             6.8.2.dfsg.1-7      X Window System miscellaneous exte
ii  libxi6               6.8.2.dfsg.1-7      X Window System Input extension li
ii  libxinerama1         6.8.2.dfsg.1-7      X Window System multi-head display
ii  libxrandr2           6.8.2.dfsg.1-10     X Window System Resize, Rotate and
ii  libxrender1          1:         X Rendering Extension client libra
ii  libxt6               6.8.2.dfsg.1-7      X Toolkit Intrinsics
ii  xlibmesa-gl [libgl1] 6.8.2.dfsg.1-7      Mesa 3D graphics library [X.Org]
ii  xlibs                6.8.2.dfsg.1-7      X Window System client libraries m
ii  zlib1g               1:1.2.3-4           compression library - runtime

Versions of packages libqt4-gui recommends:
pn  qt4-qtconfig                  <none>     (no description available)

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: qt4-x11
Source-Version: 4.1.1-1

We believe that the bug you reported is fixed in the latest version of
qt4-x11, which is due to be installed in the Debian FTP archive:

  to pool/main/q/qt4-x11/libqt4-core_4.1.1-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-debug-dev_4.1.1-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-debug_4.1.1-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-dev_4.1.1-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-gui_4.1.1-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-qt3support_4.1.1-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-sql_4.1.1-1_i386.deb
  to pool/main/q/qt4-x11/qt4-designer_4.1.1-1_i386.deb
  to pool/main/q/qt4-x11/qt4-dev-tools_4.1.1-1_i386.deb
  to pool/main/q/qt4-x11/qt4-doc_4.1.1-1_all.deb
  to pool/main/q/qt4-x11/qt4-qtconfig_4.1.1-1_i386.deb
  to pool/main/q/qt4-x11/qt4-x11_4.1.1-1.diff.gz
  to pool/main/q/qt4-x11/qt4-x11_4.1.1-1.dsc
  to pool/main/q/qt4-x11/qt4-x11_4.1.1.orig.tar.gz

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 354266@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Brian Nelson <pyro@debian.org> (supplier of updated qt4-x11 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Mon,  6 Mar 2006 10:20:47 -0800
Source: qt4-x11
Binary: libqt4-sql libqt4-core qt4-doc libqt4-debug libqt4-qt3support qt4-designer libqt4-dev qt4-dev-tools libqt4-gui libqt4-debug-dev qt4-qtconfig
Architecture: source i386 all
Version: 4.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Brian Nelson <pyro@debian.org>
 libqt4-core - Qt 4 core non-GUI functionality runtime library
 libqt4-debug - Qt 4 debugging runtime libraries
 libqt4-debug-dev - Qt 4 debugging development files
 libqt4-dev - Qt 4 development files
 libqt4-gui - Qt 4 core GUI functionality runtime library
 libqt4-qt3support - Qt 3 compatibility library for Qt 4
 libqt4-sql - Qt 4 SQL database module
 qt4-designer - Qt 4 Designer
 qt4-dev-tools - Qt 4 development tools
 qt4-doc    - Qt 4 API documentation
 qt4-qtconfig - Qt 4 configuration tool
Closes: 337764 337847 338380 341807 347251 349438 354266 354993
 qt4-x11 (4.1.1-1) unstable; urgency=low
   * New upstream release
     - Fixes the broken debug-and-release build and a load of resulting
       bugs (Closes: #337764, #337847, #341807, #338380, #354993, #347251)
     - debian/patches/15_alpha_ftbfs_fix.dpatch: removed, integrated upstream
   * debian/control: updated libqt4-debug-dev priority to match that of the
     override file
   * debian/libqt4-dev.links: added a symlink /usr/share/qt4/bin/rcc to
     /usr/bin/rcc (Closes: #349438)
   * debian/libqt4-gui.install: added libqmng.so and libqgif.so plugins
     (Closes: #354266)
 55b4aad5b12d588f0f74551773d86f2c 1412 libs optional qt4-x11_4.1.1-1.dsc
 d82b0374d481f93e481aad4e3f26893a 27761487 libs optional qt4-x11_4.1.1.orig.tar.gz
 05fa56d9a7d31c12240d333ac55e7cbc 18032 libs optional qt4-x11_4.1.1-1.diff.gz
 0060c95a9fcb8dd66ec144869172e3ee 14483698 doc optional qt4-doc_4.1.1-1_all.deb
 0d4a1eeb1d4aaf74b07276145e560673 3644514 libdevel optional libqt4-dev_4.1.1-1_i386.deb
 c0a8deda8d44b495910359371285c0f2 19422 libdevel extra libqt4-debug-dev_4.1.1-1_i386.deb
 32b40897ebd02eb63566288437c773c2 920196 libs optional libqt4-core_4.1.1-1_i386.deb
 b56f57814e0b64d92d8b8dd2e7a62cd3 2827686 libs optional libqt4-gui_4.1.1-1_i386.deb
 7733e1997f3d0614e0594c4eb27478c7 309578 libs optional libqt4-sql_4.1.1-1_i386.deb
 4384016f6e3e128a54be777892542bfc 1257862 libs optional libqt4-qt3support_4.1.1-1_i386.deb
 93a43b7408f9ac752f08613ef94b668d 1404780 devel optional qt4-designer_4.1.1-1_i386.deb
 bf7b85c05afa8d8040d6255fd8332e0e 51416562 libs optional libqt4-debug_4.1.1-1_i386.deb
 2f8340bec3a498a9db380e1d0c6b02da 532196 devel optional qt4-dev-tools_4.1.1-1_i386.deb
 74018c7a234cf92bd3252908d40bdf98 102286 x11 optional qt4-qtconfig_4.1.1-1_i386.deb

Version: GnuPG v1.4.2 (GNU/Linux)


--- End Message ---

Reply to: